Description

Associated revisions

Revision 1114 - 04/18/2020 02:17 AM - luke.murphey

Adding API for reading works

Reference #2659

Revision 1129 - 04/18/2020 02:17 AM - luke.murphey

Adding API for reading works

Reference #2659

History

#1 - 04/15/2020 04:37 PM - Luke Murphey

Qs:

How do I render static content?

https://stackoverflow.com/questions/40108843/react-how-to-load-and-render-external-html-file

How much of this should I render on the background?

How do I setup the API call without having to rebuild the server in Docker?

How do I convert results from the ORM to JSON?

https://stackoverflow.com/questions/15874233/output-django-queryset-as-json

Obs:

Solns:

Integrate into server, have it include the new frontend code

Fix proxy

Change server to support CORS and change frontend code to support a variable for REST APIs
#2 - 04/17/2020 01:04 AM - Luke Murphey

The serializer doesn't work on strings, only on querysets.

Obs:

https://stackoverflow.com/questions/47031967/django-str-object-has-no-attribute-meta

Qs:

How can I convert an Django class object to JSON?

https://stackoverflow.com/questions/21947237/convert-a-django-queryset-into-an-array

Is there a serializer that would work?

Can I load the instance as a values list somehow?

https://stackoverflow.com/questions/21925671/convert-django-model-object-to-dict-with-all-of-the-fields-intact

Can I access a model instance as a dictionary?

No

Solns:

Have ORM return a flat list

Could use https://docs.djangoproject.com/en/3.0/ref/models/querysets/#django.db.models.query.QuerySet.values

Convert each entry

Rewrite the entire function to make JSON

https://stackoverflow.com/questions/12360830/django-get-values-for-all-fields-in-one-object

#3 - 04/18/2020 05:28 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Cannot load the template: Invalid filter: 'contains'

Qs:

Solns:
